# Get Block

{% hint style="info" %}
How to obtain a specific block.
{% endhint %}

{% tabs %}
{% tab title="Request" %}
`GET https://mburger.cloud/api/blocks/<id>`

```bash
curl https://mburger.cloud/api/blocks/<id>?locale=en
-H "Accept: application/json" 
-H "X-MBurger-Token: <token>" 
-H "X-MBurger-Version: 3"
```

#### &#x20;URL Parameters

| Name | Type | Required | Description |
| ---- | ---- | -------- | ----------- |
| id   | int  | Yes      | Block id.   |

#### &#x20;Parameters

| Name                    | Type    | Required | Description                                                                                                                                      |
| ----------------------- | ------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------ |
| locale                  | string  | No       | For multilanguage projects specify the desired locale for elements values. If locale is not provided or found the project fallback will be used. |
| include                 | string  | No       | Specify which relations to load and include in response.                                                                                         |
| image\_format           | string  | No       | Specify which image dimension to include in response. Values are *thumb*, *medium*, *large* and *original*. Default is *medium*.                 |
| force\_locale\_fallback | boolean | No       | If true and the requested locale is empty, the fallback locale is returned. Default false.                                                       |

#### &#x20;Includes

| Name         | Description                                                                                                                                                                                                   |
| ------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| sections     | This relation will include all sections of each block. You can also send sections.elements to also obtain all the elements of every section in a single API call. Note that this will impact the performance. |
| structure    | This relation will include all elements that define the structure of block.                                                                                                                                   |
| {% endtab %} |                                                                                                                                                                                                               |

{% tab title="Response" %}
When successful, a HTTP 200 and JSON like this is returned:

```bash
{
  "status_code": 0,
  "body": {
    "id": 1,
    "order": 1,
    "title": "Home",
    "subtitle": null,
    "url_title": "home",
    "is_single": false
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mburger.cloud/api-docs-1/blocks/get-block.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
